// function to create empty points
function createEmptyPoints(iPointsCount)
{
    for (var i = 0; i < iPointsCount; i++)
    {
        points.create()
    }
}

// function to create empty elements
function createEmptyElements(iielementsCount)
{
    for (var i = 0; i < iielementsCount; i++)
    {
        elements.create()
    }
}

// function to create empty lines
function createEmptyLines(iLinesCount)
{
    for (var i = 0; i < iLinesCount; i++)
    {
        lines.create()
    }
}

// function to set parameters of line element
function setLineElement(iID, definition_points, thickness)
{
    elements[iID].definition_points = definition_points
    elements[iID].thickness = thickness
}

// function to set parameters of arc element
function setArcElement(iID, definition_points, thickness, point)
{
    elements[iID].type = lines.TYPE_ARC
    elements[iID].definition_points = definition_points
    elements[iID].thickness = thickness
    elements[iID].arc_control_point_y = point.coordinate_1
    elements[iID].arc_control_point_z = point.coordinate_2
}

// function to set parameters of line
function setLine(iID, definition_points)
{
    lines[iID].type = lines.TYPE_POLYLINE
    lines[iID].definition_points = definition_points
}

// function to set parameters of ARC line
function setArcLine(iID, definition_points, point)
{
    lines[iID].type = lines.TYPE_ARC
    lines[iID].definition_points = definition_points
    lines[iID].arc_control_point_y = point.coordinate_1
    lines[iID].arc_control_point_z = point.coordinate_2
}

// function to set internal forces relative to principal axes u,v
function setInternalForces(iLC, iIF, iMem, dX, dN, dVu, dVv, dMxp, dMxs, dMu, dMv, dMomega)
{
  load_cases[iLC].internal_forces[iIF].internal_forces_system	=  internal_forces.E_INTERNAL_FORCES_SYSTEM_PRINCIPAL_AXES_U_V
  load_cases[iLC].internal_forces[iIF].member_no = iMem
  load_cases[iLC].internal_forces[iIF].location_x = dX
  load_cases[iLC].internal_forces[iIF].axial_force_n = dN
  load_cases[iLC].internal_forces[iIF].shear_force_v_u = dVu
  load_cases[iLC].internal_forces[iIF].shear_force_v_v = dVv
  load_cases[iLC].internal_forces[iIF].torsional_moment_m_xp = dMxp
  load_cases[iLC].internal_forces[iIF].torsional_moment_m_xs = dMxs
  load_cases[iLC].internal_forces[iIF].bending_moment_m_u = dMu
  load_cases[iLC].internal_forces[iIF].bending_moment_m_v = dMv
  load_cases[iLC].internal_forces[iIF].bimoment_m_omega = dMomega

}